Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class TextObjectBaseRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.TextObjectBaseRecord

Direct Known Subclasses:
  TextObjectRecord

public class TextObjectBaseRecord
extends Record

The TXO record is used to define the properties of a text box. It is followed by two continue records unless there is no actual text. The first continue record contains the text data and the next continue record contains the formatting runs. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `HORIZONTAL_TEXT_ALIGNMENT_CENTERED`
`static short` | `HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED`
`static short` | `HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED`
`static short` | `HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED`
`static short` | `sid`
`static short` | `TEXT_ORIENTATION_NONE`
`static short` | `TEXT_ORIENTATION_ROT_LEFT`
`static short` | `TEXT_ORIENTATION_ROT_RIGHT`
`static short` | `TEXT_ORIENTATION_TOP_TO_BOTTOM`
`static short` | `VERTICAL_TEXT_ALIGNMENT_BOTTOM`
`static short` | `VERTICAL_TEXT_ALIGNMENT_CENTER`
`static short` | `VERTICAL_TEXT_ALIGNMENT_JUSTIFY`
`static short` | `VERTICAL_TEXT_ALIGNMENT_TOP`

Constructor Summary
`TextObjectBaseRecord()`
`TextObjectBaseRecord(short id, short size, byte[] data)` Constructs a TextObjectBase record and sets its fields appropriately.
`TextObjectBaseRecord(short id, short size, byte[] data, int offset)` Constructs a TextObjectBase record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getFormattingRunLength()` Get the formatting run length field for the TextObjectBase record.
`short` | `getHorizontalTextAlignment()`
`short` | `getOptions()` Get the options field for the TextObjectBase record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getReserved2()`
`short` | `getReserved3()`
`short` | `getReserved4()` Get the reserved4 field for the TextObjectBase record.
`short` | `getReserved5()` Get the reserved5 field for the TextObjectBase record.
`short` | `getReserved6()` Get the reserved6 field for the TextObjectBase record.
`int` | `getReserved7()` Get the reserved7 field for the TextObjectBase record.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTextLength()` Get the text length field for the TextObjectBase record.
`short` | `getTextOrientation()` Get the text orientation field for the TextObjectBase record.
`short` | `getVerticalTextAlignment()`
`boolean` | `isReserved1()` reserved field
`boolean` | `isTextLocked()` Text has been locked
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setFormattingRunLength(short field_7_formattingRunLength)` Set the formatting run length field for the TextObjectBase record.
`void` | `setHorizontalTextAlignment(short value)` Sets the Horizontal text alignment field value.
`void` | `setOptions(short field_1_options)` Set the options field for the TextObjectBase record.
`void` | `setReserved1(boolean value)` Sets the reserved1 field value.
`void` | `setReserved2(short value)` Sets the reserved2 field value.
`void` | `setReserved3(short value)` Sets the reserved3 field value.
`void` | `setReserved4(short field_3_reserved4)` Set the reserved4 field for the TextObjectBase record.
`void` | `setReserved5(short field_4_reserved5)` Set the reserved5 field for the TextObjectBase record.
`void` | `setReserved6(short field_5_reserved6)` Set the reserved6 field for the TextObjectBase record.
`void` | `setReserved7(int field_8_reserved7)` Set the reserved7 field for the TextObjectBase record.
`void` | `setTextLength(short field_6_textLength)` Set the text length field for the TextObjectBase record.
`void` | `setTextLocked(boolean value)` Sets the text locked field value.
`void` | `setTextOrientation(short field_2_textOrientation)` Set the text orientation field for the TextObjectBase record.
`void` | `setVerticalTextAlignment(short value)` Sets the Vertical text alignment field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED

    public static final short HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED

See Also:
  Constant Field Values

### HORIZONTAL_TEXT_ALIGNMENT_CENTERED

    public static final short HORIZONTAL_TEXT_ALIGNMENT_CENTERED

See Also:
  Constant Field Values

### HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED

    public static final short HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED

See Also:
  Constant Field Values

### HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED

    public static final short HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED

See Also:
  Constant Field Values

### VERTICAL_TEXT_ALIGNMENT_TOP

    public static final short VERTICAL_TEXT_ALIGNMENT_TOP

See Also:
  Constant Field Values

### VERTICAL_TEXT_ALIGNMENT_CENTER

    public static final short VERTICAL_TEXT_ALIGNMENT_CENTER

See Also:
  Constant Field Values

### VERTICAL_TEXT_ALIGNMENT_BOTTOM

    public static final short VERTICAL_TEXT_ALIGNMENT_BOTTOM

See Also:
  Constant Field Values

### VERTICAL_TEXT_ALIGNMENT_JUSTIFY

    public static final short VERTICAL_TEXT_ALIGNMENT_JUSTIFY

See Also:
  Constant Field Values

### TEXT_ORIENTATION_NONE

    public static final short TEXT_ORIENTATION_NONE

See Also:
  Constant Field Values

### TEXT_ORIENTATION_TOP_TO_BOTTOM

    public static final short TEXT_ORIENTATION_TOP_TO_BOTTOM

See Also:
  Constant Field Values

### TEXT_ORIENTATION_ROT_RIGHT

    public static final short TEXT_ORIENTATION_ROT_RIGHT

See Also:
  Constant Field Values

### TEXT_ORIENTATION_ROT_LEFT

    public static final short TEXT_ORIENTATION_ROT_LEFT

See Also:
  Constant Field Values

Constructor Detail

### TextObjectBaseRecord

    public TextObjectBaseRecord()

### TextObjectBaseRecord

    public TextObjectBaseRecord(short id,
                                short size,
                                byte[] data)

  Constructs a TextObjectBase record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1B6 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### TextObjectBaseRecord

    public TextObjectBaseRecord(short id,
                                short size,
                                byte[] data,
                                int offset)

  Constructs a TextObjectBase record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1B6 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getOptions

    public short getOptions()

  Get the options field for the TextObjectBase record.

### setOptions

    public void setOptions(short field_1_options)

  Set the options field for the TextObjectBase record.

### getTextOrientation

    public short getTextOrientation()

  Get the text orientation field for the TextObjectBase record.

  Returns:
    One of TEXT_ORIENTATION_NONE TEXT_ORIENTATION_TOP_TO_BOTTOM TEXT_ORIENTATION_ROT_RIGHT TEXT_ORIENTATION_ROT_LEFT

### setTextOrientation

    public void setTextOrientation(short field_2_textOrientation)

  Set the text orientation field for the TextObjectBase record.

  Parameters:
    `field_2_textOrientation` - One of TEXT_ORIENTATION_NONE TEXT_ORIENTATION_TOP_TO_BOTTOM TEXT_ORIENTATION_ROT_RIGHT TEXT_ORIENTATION_ROT_LEFT

### getReserved4

    public short getReserved4()

  Get the reserved4 field for the TextObjectBase record.

### setReserved4

    public void setReserved4(short field_3_reserved4)

  Set the reserved4 field for the TextObjectBase record.

### getReserved5

    public short getReserved5()

  Get the reserved5 field for the TextObjectBase record.

### setReserved5

    public void setReserved5(short field_4_reserved5)

  Set the reserved5 field for the TextObjectBase record.

### getReserved6

    public short getReserved6()

  Get the reserved6 field for the TextObjectBase record.

### setReserved6

    public void setReserved6(short field_5_reserved6)

  Set the reserved6 field for the TextObjectBase record.

### getTextLength

    public short getTextLength()

  Get the text length field for the TextObjectBase record.

### setTextLength

    public void setTextLength(short field_6_textLength)

  Set the text length field for the TextObjectBase record.

### getFormattingRunLength

    public short getFormattingRunLength()

  Get the formatting run length field for the TextObjectBase record.

### setFormattingRunLength

    public void setFormattingRunLength(short field_7_formattingRunLength)

  Set the formatting run length field for the TextObjectBase record.

### getReserved7

    public int getReserved7()

  Get the reserved7 field for the TextObjectBase record.

### setReserved7

    public void setReserved7(int field_8_reserved7)

  Set the reserved7 field for the TextObjectBase record.

### setReserved1

    public void setReserved1(boolean value)

  Sets the reserved1 field value. reserved field

### isReserved1

    public boolean isReserved1()

  reserved field

  Returns:
    the reserved1 field value.

### setHorizontalTextAlignment

    public void setHorizontalTextAlignment(short value)

  Sets the Horizontal text alignment field value.

### getHorizontalTextAlignment

    public short getHorizontalTextAlignment()

  Returns:
    the Horizontal text alignment field value.

### setVerticalTextAlignment

    public void setVerticalTextAlignment(short value)

  Sets the Vertical text alignment field value.

### getVerticalTextAlignment

    public short getVerticalTextAlignment()

  Returns:
    the Vertical text alignment field value.

### setReserved2

    public void setReserved2(short value)

  Sets the reserved2 field value.

### getReserved2

    public short getReserved2()

  Returns:
    the reserved2 field value.

### setTextLocked

    public void setTextLocked(boolean value)

  Sets the text locked field value. Text has been locked

### isTextLocked

    public boolean isTextLocked()

  Text has been locked

  Returns:
    the text locked field value.

### setReserved3

    public void setReserved3(short value)

  Sets the reserved3 field value.

### getReserved3

    public short getReserved3()

  Returns:
    the reserved3 field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.